org.gjt.sp.jedit.io

## Enum CopyFileWorker.Behavior

- java.lang.Object
- - java.lang.Enum<CopyFileWorker.Behavior>
  - - org.gjt.sp.jedit.io.CopyFileWorker.Behavior

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CopyFileWorker.Behavior>

Enclosing class:
  CopyFileWorker

    public static enum CopyFileWorker.Behavior
    extends java.lang.Enum<CopyFileWorker.Behavior>

The behavior if the target already exists

Since:
  jEdit 5.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OVERWRITE` Overwrite existing file.
`RENAME` Rename existing file.
`SKIP` Do not copy file.

### Method Summary

Methods
`static CopyFileWorker.Behavior` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CopyFileWorker.Behavior[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SKIP

    public static final CopyFileWorker.Behavior SKIP

Do not copy file.

#### OVERWRITE

    public static final CopyFileWorker.Behavior OVERWRITE

Overwrite existing file.

#### RENAME

    public static final CopyFileWorker.Behavior RENAME

Rename existing file.

### Method Detail

#### values

    public static CopyFileWorker.Behavior[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CopyFileWorker.Behavior c : CopyFileWorker.Behavior.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CopyFileWorker.Behavior valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null